<!DOCTYPE html>
<html <?php language_attributes(); ?>>
	<head>	
		<meta charset="<?php bloginfo( 'charset' ); ?>" />
		<meta http-equiv="X-UA-Compatible" content="IE=edge">
		<title>
			<?php
				 echo cz('seo_title');
			?>
		</title>
		<meta name="apple-mobile-web-app-capable" content="yes" />
		<meta name="viewport" content="width=device-width, initial-scale=1.0, maximum-scale=1.0, user-scalable=no" />

		<?php
			if (( is_home() || is_front_page() ))
			{
		?>
				<meta name="description" content="<?php echo cz('seo_description');?>" />
				<meta name="keywords" content="<?php echo cz('seo_keywords'); ?>" />
		<?php
			}
		?>
		
		<?php $path_url = get_template_directory_uri(); ?>
		<link rel="stylesheet" href="<?php echo $path_url; ?>/_files/bootstrap/css/bootstrap.min.css">
		<link rel="stylesheet" href="<?php echo $path_url; ?>/_files/bootstrap/css/bootstrap-theme.min.css">
		<link rel="stylesheet" href="<?php echo $path_url; ?>/_files/font-awesome/css/font-awesome.min.css">
		<link rel="stylesheet" href="<?php echo $path_url; ?>/_files/custom-fonts/css/fontello.css">
		<link rel="stylesheet" href="<?php echo $path_url; ?>/style.css">
		<link href='https://fonts.googleapis.com/css?family=Roboto:400,500,400italic,500italic,700,700italic,900,900italic' rel='stylesheet' type='text/css'>
		<link rel="shortcut icon" href="<?php echo (get_option('favicon')) ? get_option('favicon') : ''; ?>" />	

		<style type="text/css">
			<?php 
				//include_once get_template_directory() . '/customize/style.php'; 
				//include_once get_template_directory() . '/templates/inside_head_style.php'; 	
			?>
		</style>

	    <?php wp_head(); ?>
	</head>	

<body>
	<div id="header_line_top">
		<div class="container">
			<div class="row">
				<div class="col-sm-12">
					<div id="mail_top">
						<a href="mailto:<?php echo cz('email');  ?>">
							<span class="icon-note-2"></span><?php echo cz('email');  ?>
						</a>
					</div>

					<div id="phone_top">
						<?php
							if(get_option('rwt1_tel_num')){
								$n_str = str_replace(" ", "", get_option("rwt1_tel_num"));
								echo '<a href="tel:'.$n_str.'"><span class="icon-technology"></span>'.get_option("rwt1_tel_num").'</a>';
							} else {
						?>
								<a href="tel:<?php echo cz('phone');  ?>"><span class="icon-technology"></span><?php echo cz('phone');  ?></a>
						<?php
							}
						?>
					</div>

					<div id="address_top">
						<span class="icon-home-page"></span><?php echo cz('address');  ?>
					</div>
					
					<div class="soc_header_top">
						<noindex>
							<a href="<?php echo cz('facebook');  ?>" target="_blank"><span class="icon-soc-fb"></span></a>
							<a href="<?php echo cz('twitter');  ?>" target="_blank"><span class="icon-twitter"></span></a>
							<a href="<?php echo cz('instogram');  ?>" target="_blank"><span class="icon-instogram"></span></a>
							<a href="<?php echo cz('pinterest');  ?>" target="_blank">
								<span class="icon-social-1"></span>
							</a>
						</noindex>	
					</div>
				</div>	
			</div>			
		</div>	
	</div>



