<?php

/**
 * Author: Vitaly Kukin
 * Date: 24.09.2014
 * Time: 12:14
 * Description: Show settings from Admin Class
 */
class czSettings extends czAdminTpl
{

	function __construct()
	{
		parent::__construct();
	}

	/**
	 * list menu
	 * @return array
	 */
	public function listMenu()
	{
		$listMenu = array(
			'czbase' => array(
				'tmp'         => 'tmplGeneral',
				'title'       => __( 'General', 'ssdma' ),
				'description' => __( 'Customization and basic settings.', 'ssdma' ),
				'icon'        => 'tachometer',
				'submenu'     => array()
			),
		);

		return apply_filters( 'cz_list_menu', $listMenu );
	}

	/**
	 * Template Base
	 */
	function tmplGeneral()
	{
		$this->block( 
			array(
			$this->row(array(
				$this->textField( 'product_id', array(
					'label' => __( 'Product id', 'ssdma' )
				)))),
			
		)
		);
		$this->block( 
			array(
			$this->row(array(
				$this->textTextArea( 'analytics', array(
					'label' => __( 'Google Analytic', 'ssdma' )
				)))),
			
		)
		);
		$this->block( 
			array(
			$this->row(array(
				$this->textField( 'seo_title', array(
					'label' => __( 'SEO Title', 'ssdma' )
				)),
			$this->textField( 'seo_description', array(
					'label' => __( 'SEO Description', 'ssdma' )
				)),
			$this->textField( 'seo_keywords', array(
					'label' => __( 'SEO Keywords', 'ssdma' )
				))
				)),
		)
		);
		$this->block( 
			array(
			$this->row(array(
				$this->textField( 'product_desc_1', array(
					'label' => __( 'Product Description 1', 'ssdma' )
				) ),
				$this->textField( 'product_desc_2', array(
					'label' => __( 'Product Description 2', 'ssdma' )
				) ),
				$this->textField( 'product_desc_3', array(
					'label' => __( 'Product Description 3', 'ssdma' )
				)))),
			$this->row(array(
				$this->textField( 'enjoy_title', array(
					'label' => __( 'Enjoy Tittle', 'ssdma' )
				) ),
				$this->textField( 'enjoy_text', array(
					'label' => __( 'Enjoy Text', 'ssdma' )
				) )
			))
		)
		);
		$this->block( 
			$this->row(array(
				$this->textTextArea( 'feedback_1', array(
					'label' => __( 'Feedback 1', 'ssdma' )
				) ),
				$this->textTextArea( 'feedback_2', array(
					'label' => __( 'Feedback 2', 'ssdma' )
				) ),
			$this->row(
				$this->textTextArea( 'feedback_3', array(
					'label' => __( 'Feedback 3', 'ssdma' )
				) )
			)))
			);
		$this->block( 
			array(
			$this->row(array(
				$this->textField( 'email', array(
					'label' => __( 'Email', 'ssdma' )
				) ),
				$this->textField( 'phone', array(
					'label' => __( 'Phone', 'ssdma' )
				) ),
				$this->textField( 'address', array(
					'label' => __( 'Address', 'ssdma' )
				))))));
		$this->block( 
			array(
			$this->row(
				array(
				$this->textField( 'product_title', array(
					'label' => __( 'Product title', 'ssdma' )
				) ),
				$this->textField( 'product_description', array(
					'label' => __( 'Product Description', 'ssdma' )
				) ),
				$this->textField( 'product_video', array(
					'label' => __( 'Product Video', 'ssdma' )
				))))));
				
		$this->block( 
			array(
			$this->row(
				array(
				$this->textTextArea( 'free_shipping_text', array(
					'label' => __( 'Free Shipping Text', 'ssdma' )
				) ),
				$this->textTextArea( 'free_shipping_text_2', array(
					'label' => __( 'Free Shipping Text 2', 'ssdma' )
				))))));
		$this->block( 
			array(
			$this->row(
				array(
				$this->textTextArea( 'box_info1', array(
					'label' => __( 'Box Info 1', 'ssdma' )
				) ),
				$this->textTextArea( 'box_info2', array(
					'label' => __( 'Box Info 2', 'ssdma' )
				))))));

		$this->block( 
			array(
			$this->row(
				array(
				$this->textTextArea( 'box_info3', array(
					'label' => __( 'Box Info 3', 'ssdma' )
				) ),
				$this->textTextArea( 'box_info4', array(
					'label' => __( 'Box Info 4', 'ssdma' )
				))))));
				
		$this->block( 
			array(
			$this->row(
				array(
				$this->textField( 'facebook', array(
					'label' => __( 'Facebook url', 'ssdma' )
				) ),
				$this->textField( 'twitter', array(
					'label' => __( 'Twitter url', 'ssdma' )
				) ),
				$this->textField( 'instagram', array(
					'label' => __( 'Instagram url', 'ssdma' )
				) ),
				$this->textField( 'pinterest', array(
					'label' => __( 'Pinterest url', 'ssdma' )
				))))));
		$this->block( array(
			$this->row(array(
				$this->uploadImgField( 'first_bg', array(
						'label'  => __( 'First Background', 'ssdma' ),
						'width'	 =>'1920',
						'height' =>'535',
				) ),
			$this->uploadImgField( 'second_bg', array(
						'label'  => __( 'Second Background', 'ssdma' ),
						'width'	 =>'1920',
						'height' =>'535',

				)))),
		$this->row(array(
			$this->uploadImgField( 'third_bg', array(
						'label'  => __( 'Third Background', 'ssdma' ),
						'width'	 =>'1920',
						'height' =>'535',
				)),
				$this->uploadImgField( 'fourth_bg', array(
						'label'  => __( 'Fourth Background', 'ssdma' ),
						'width'	 =>'1920',
						'height' =>'563',
				))
		)),
		$this->row(array(
			$this->uploadImgField( 'product_image', array(
						'label'  => __( 'Product image', 'ssdma' ),
						'width'	 =>'250',
						'height' =>'250',
				)),
			$this->uploadImgField( 'product_image_bottom', array(
						'label'  => __( 'Product image 2', 'ssdma' ),
						'width'	 =>'250',
						'height' =>'250',
				)),
				))));
		$this->block( 
			$this->row(array(
				$this->colorField( 'button_color', array(
						'label'  => __( 'Button Color', 'ssdma' ),
				) ),
			$this->colorField( 'button_color_hover', array(
						'label'  => __( 'Button color hover', 'ssdma' ),
				)))));

	}
}
