<?php

class AL_singleOptions
{
	protected $field_options = 'AL_single_options';
	protected $data          = array();

	public function __construct()
	{
		$theme               = wp_get_theme();
		$this->field_options = 'AL_single';

		//@TODO save stripslashes
		$this->data = get_site_option( $this->field_options );
		$options    = $this->get_defaults();
		$this->data = wp_parse_args( $this->data, $options );
	}

	//@TODO save stripslashes
	public function __get( $name )
	{

		if ( array_key_exists( $name, $this->data ) ) {
			return stripslashes( $this->data[ $name ] );
		} else {
			throw new \Exception( 'Getting unknown property:' . $name );
		}

		return null;
	}

//@TODO save stripslashes
	public function data()
	{
		$data = $this->data;
		foreach ( $data as $k => $v )
			$data[ $k ] = stripslashes( $v );

		return $data;
	}

	public function get_defaults()
	{
        $url = get_stylesheet_directory_uri() . '/';

		$defaults = array(
            'product_id'=>'',
            'analytics'=>'',
            'seo_title'=>'Buy Hermione Granger’s Magic Wand',
            'seo_description'=>'Hermione Granger’s Magic Wand with free worldwide shipping',
            'seo_keywords'=>'',
            'first_bg'=>$url.'_images/header_img.jpg',
            'second_bg'=>$url.'_images/img_gallery.jpg ',
            'third_bg'=>$url.'_images/testi_bg.jpg',
            'fourth_bg'=>$url.'_images/form_bg.jpg',
            'button_color'=>'rgba(255, 176, 22, 0)',
            'button_color_hover'=>'#FFB016',
            'product_desc_title_1'=>'Product Description',
            'product_desc_title_2'=>'Material',
            'product_desc_title_3'=>'Size',
            'product_desc_1'=>"Hermione Granger’s magic wand was created by Garrick Ollivander and has a dragon heartstring core. It’s an elegant yet powerful craftsmanship. And now you can obtain a fine copy of this wonderful item. There’s no doubt that Hermione Granger’s magic wand will enrich any Harry Potter fan’s collection. PVC Approx. 36.5 cm",
            'product_desc_2'=>"",
            'product_desc_3'=>"",
            'enjoy_title'=>'357 buyers',
            'enjoy_text'=>'Enjoyed this product!',
            'feedback_1'=>'<div class="head_testi">“Granddaughter was happy ”</div><div class="body_testi">
								My granddaughter needed this for her Halloween costume. She said I was a genius for knowing and finding Hermione Granger&quot;s Wand. This is the right price for a kid&quot;s costume.
							</div>
							<div class="allstars"></div>
							<div class="line_hr_long"></div>
							<div class="author">- JD -</div>
							<div class="country">USA</div>',

            'feedback_2'=>'<div class="head_testi">“Nice wand”</div><div class="body_testi">
								The wand is so much fun! My daughter is very excited about using this with her Hermione costume! It is plastic and pretty thick. I think that it is a great wand for the price that I paid for it.
							</div>
							<div class="allstars"></div>
							<div class="line_hr_long"></div>
							<div class="author">- Chris Christensen -</div>
							<div class="country">Belgium </div>',
            'feedback_3'=>'<<div class="head_testi">“Great wand”</div><div class="body_testi">
								I would recommend this toy for a child who has a vivid imagination and wonder Harry Potter. It is a great toy ad has provided hours of fun for my child.
							</div>
							<div class="allstars"></div>
							<div class="line_hr_long"></div>
							<div class="author">- Theopolis James -</div>
							<div class="country">UK </div>',
            'email'=>'support@hermionemagicwand.com',
            'phone'=>'1 (716) 235 57 71',
            'address'=>'101 California Street, Suite 2710, San Francisco, CA 94111',
            'facebook'=>"https://www.facebook.com/hermionestruefans/",
            'twitter'=>"https://twitter.com/Hermione_Fans",
            'instagram'=>"https://www.instagram.com/hermionetruefans/",
            'pinterest'=>"https://www.pinterest.com/HermioneFans/",
            'product_title'=>"Make Your Best Wizard Costume with <strong>Hermione Granger’s Magic Wand</strong>",
            'product_description'=>"Everybody knows that a wizard’s power lies in his or her wand. What kind of fan doesn’t want to get Hermione Granger’s magic wand as a present! This item is an excellent collectible. ",
            'product_image'=>$url.'_images/wand.png',
            'product_image_bottom'=>$url.'_images/product_bottom.jpg',
            'free_shipping_text'=>'<span class="_shipping">& Free Worldwide Shipping</span>',
            'free_shipping_text_2'=>'<span class="_shipping">& Free Worldwide Shipping</span>',
            'product_video'=>'',
            'box_info1'=>'<div class="circle"><span class="icon-transport"></span><span class="">FREE</span></div>
						<div class="head">Free Worldwide <br/> Shipping</div>
						<div class="descr">Our store operates worldwide and you can enjoy free delivery to 185 countries </div>',
            'box_info2'=>'<div class="circle"><span class="icon-money cdp"></span></div>
						<div class="head">45-Day Money Back <br/> Guarantee </div>
						<div class="descr">Receive a full refund if you are not happy with your order or you don&quot;t receive it. </div>',
            'box_info3'=>'<div class="circle"><span class="icon-tool cdp"></span></div>
						<div class="head">100% Secure Payments <br/> </div>
						<div class="descr">Buy with confidence using the world’s most popular and secure payment methods.</div>',
            'box_info4'=>'<div class="circle"><span class="icon-hand cdp"></span></div>
						<div class="head">High Customer <br/> Satisfaction</div>
						<div class="descr"> We offer the best service and a great price on an iconic high quality product.</div>',
 
			
		);

		return apply_filters( 'cz_fields', $defaults );

	}

	private function ImgSrc( $img )
	{
		return get_stylesheet_directory_uri() . '/img/' . $img;
	}
}

if ( is_admin() ) {
	require( dirname( __FILE__ ) . '/customization/menu.php' );
	require( dirname( __FILE__ ) . '/customization/class.CZ.AdminTpl.php' );
	require( dirname( __FILE__ ) . '/customization/class.CZ.Settings.php' );
	require( dirname( __FILE__ ) . '/customization/core.php' );
}


add_action( 'init', 'init_cz' );
function init_cz()
{
	global $cz_data;
	$cz      = new AL_singleOptions();
	$cz_data = $cz->data();
}


if ( !function_exists( 'cz' ) ) {
	function cz( $name )
	{
		global $cz_data;

		return isset( $cz_data[ $name ] ) ? $cz_data[ $name ] : '';
	}
}

/*
 * add new fields
 * */
/*
add_filter('cz_fields', 'cz_fields_test');
function cz_fields_test($fields){
	$fields['cz_test'] = 'test';
	return $fields;
}
add_filter('cz_list_menu', 'test_cz_menu');

function test_cz_menu($v){
	$v['czsubcribe']    = array(
		'tmp'         => 'cz_test_menu',
		'title'       => __( 'Test', 'ali5' ),
		'description' => __( 'Test settings', 'ali5' ),
		'icon'        => 'home',
		'submenu'     => array()
	);
	return $v;
}

function cz_test_menu(){
	$cz = new czSettings();
	?>
		$cz->block( array(
			$cz->row( array(
				$this->textField( 'tp_img_product_cat1_url', array(
					'label'  => __( 'Category URL', 'ali5' ),
					'screen' => S_URL_LIB . 'img/logo.jpg'

				) ),
				$cz->textField( 'tp_img_product_cat1_title', array(
					'label'  => __( 'Sticker text', 'ali5' ),
					'screen' => ''
				) )
			) ),
				$cz->row( array(
					$cz->textField( 'tp_img_product_cat1_url', array(
						'label'  => __( 'Category URL', 'ali5' ),
						'screen' => S_URL_LIB . 'img/logo.jpg'

					) ),
					$cz->textField( 'tp_img_product_cat1_title', array(
						'label'  => __( 'Sticker text', 'ali5' ),
						'screen' => ''
					) )
				) )
			)
		);
	<?php
}
*/
